const authorizationError = require('./authorization-error');

function authenticate(req, res, next) {
  if (!req.user) {
    const err = authorizationError.createAuthorizationError();
    next(err);
    req.emit('request-unauthorized', { err, url: req.originalUrl });
  } else {
    next();
    req.emit('request-authorized', { user: req.user, url: req.originalUrl });
  }
}

module.exports.authenticate = authenticate;
